# encoding: UTF-8
$:.push File.expand_path("../lib", __FILE__)

# Maintain your gem's version:
require "custom_announcement/version"
require 'json'
bundle_update_flag = ARGV[0]=='update' || ARGV[0]=='install'
if bundle_update_flag
  env_pwd = ENV['PWD']
  app_path = File.expand_path(__dir__)
  template_path = env_pwd + '/app/templates'
  all_template = Dir.glob(template_path+'/*/')
  all_template.each do |folder|
    if !folder.include?('mobile')
      if Dir.exist?("#{folder}modules/")
        Bundler.with_clean_env{system ('cp -r '+ app_path + '/modules/ ' + folder)}
      end
    end
  end
end
# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = "custom_announcement"
  s.version     = CustomAnnouncement::VERSION
  s.authors     = ["RulingDigital"]
  s.email       = ["bohung@rulingcom.com"]
  s.homepage    = "http://www.rulingcom.com"
  s.summary     = "CustomAnnouncements for Orbit"
  s.description = "CustomAnnouncements for Orbit"
  s.license     = "MIT"

  s.files = Dir["{app,config,db,lib}/**/*", "MIT-LICENSE", "Rakefile", "README.rdoc"]
  s.test_files = Dir["test/**/*"]

  s.add_dependency "rufus-scheduler", "~> 3.6.0"
  s.add_dependency "mimemagic" , "0.3.9"
end
